> For the complete documentation index, see [llms.txt](https://docs.zipy.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zipy.ai/zipy-for-mobile/flutter-setup/install-flutter.md).

# Install Flutter

**Steps to install Zipy**

1. Installing Zipy Plugin

```dart
flutter pub add zipy_flutter
```

This will add a line like this to your package's pubspec.yaml and run `flutter pub get`

```yaml
dependencies:
  zipy_flutter: ^0.1.6
```

2. &#x20;Import the Zipy module and initialize it in your `main.dart` or another source file used as the entry point:

```dart
import 'package:zipy_flutter/zipy_flutter.dart'; // import

void main() {
WidgetsFlutterBinding.ensureInitialized(); // Initialize the binding.
Zipy.init(key: 'YOUR_API_KEY');
runApp(MyApp());
}


```

**Important:** **To view session replays, it is necessary to implement** [**Gesture Capturing.**](/zipy-for-mobile/flutter-setup/gesture-capturing.md)

Haven't set up an account or Zipy project yet? No worries! Just pop over to <https://app.zipy.ai> to get started.&#x20;

Once you're all set, come back here to continue.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zipy.ai/zipy-for-mobile/flutter-setup/install-flutter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
